Skip to content

v2_services_instances_snapshots_create

POST
/api/v2/services/instances/{service_id}/snapshots/
curl --request POST \
--url https://example.com/api/v2/services/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/snapshots/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "description": "example", "idempotency_key": "example" }'

Create a new snapshot of this VM (service-scoped); may incur a one-time fee per the plan’s snapshot price component.

service_id
required
string format: uuid
object
description
required
string
>= 1 characters
idempotency_key
string
>= 1 characters

Example generated

{
"description": "example",
"idempotency_key": "example"
}
Media typeapplication/json
object
success
required
boolean
data
nullable
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
nullable
previous
string
nullable

Example generated

{
"success": true,
"data": "example",
"meta": {
"page": 1,
"size": 1,
"total": 1,
"active_total": 1,
"total_pages": 1,
"has_next": true,
"has_prev": true,
"sort_by": "example",
"sort_dir": "example"
},
"msg": {
"msg_kind": "example",
"msg_text": "example"
},
"error": "example",
"pagination": {
"count": 1,
"next": "example",
"previous": "example"
}
}
Media typeapplication/json
object
success
boolean
error
string

Example

{
"success": false
}
Media typeapplication/json
object
success
boolean
error
string

Example

{
"success": false
}